### Method

# Adw TabViewreorder_page

#### Declaration [src]

    gboolean
    adw_tab_view_reorder_page (
      AdwTabView* self,
      AdwTabPage* page,
      int position
    )

#### Description [src]

Reorders `page` to `position`.

It’s a programmer error to try to reorder a pinned page after a non-pinned one, or a non-pinned page before a pinned one.

#### Parameters

`page`

  Type: `AdwTabPage`

  A page of `self`.

  The data is owned by the caller of the method.

`position`

  Type: `int`

  The position to insert the page at, starting at 0

#### Return value

Type: `gboolean`

Whether `page` was moved.